Subject: Create expensive looks for less

From: " Ipngwg-archive" <[email-masked] >
Date: Fri, 6 Jul 2007 12:35:22 +0900

Heard a lot about replica watches but don’t believe they can be qualitative?
Get a step up on social ladder with one of our affordable replica timepieces!
Millions of people all over the world dream of watches by these brands!
http://slonoima.com